;;;; type-errors-numbers.fixnum.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18

(module type-errors-numbers.fixnum

(;export
  error-fixnum
  error-positive-fixnum error-non-negative-fixnum error-natural-fixnum
  error-negative-fixnum error-non-positive-fixnum)

(import scheme)
(import (chicken base))
(import (chicken module))
(import (chicken type))
(import type-errors-basic)

(: error-fixnum (* * #!optional * -> noreturn))
(: error-positive-fixnum (* * #!optional * -> noreturn))
(: error-non-negative-fixnum  (* * #!optional * -> noreturn))
(: error-natural-fixnum  (* * #!optional * -> noreturn))
(: error-negative-fixnum  (* * #!optional * -> noreturn))
(: error-non-positive-fixnum (* * #!optional * -> noreturn))

(define-error-type fixnum)
(define-error-type positive-fixnum)
(define-error-type non-negative-fixnum)
(define error-natural-fixnum error-non-negative-fixnum)
(define-error-type negative-fixnum)
(define-error-type non-positive-fixnum)

) ;module type-errors-numbers.fixnum
