;;;; type-errors-numbers.ratnum.scm  -*- Scheme -*-
;;;; Kon Lovett, Jul '18

(module type-errors-numbers.ratnum

(;export
  error-ratnum
  error-positive-ratnum error-non-negative-ratnum error-negative-ratnum
  error-non-positive-ratnum)

(import scheme)
(import (chicken base))
(import (chicken module))
(import (chicken type))
(import type-errors-basic)

(: error-ratnum (* * #!optional * -> noreturn))
(: error-positive-ratnum (* * #!optional * -> noreturn))
(: error-non-negative-ratnum  (* * #!optional * -> noreturn))
(: error-negative-ratnum (* * #!optional * -> noreturn))
(: error-non-positive-ratnum (* * #!optional * -> noreturn))

(define-error-type ratnum)
(define-error-type positive-ratnum)
(define-error-type non-negative-ratnum)
(define-error-type negative-ratnum)
(define-error-type non-positive-ratnum)

) ;module type-errors-numbers.ratnum
